ODOC(1)

NAME
odoc - documentation generator for OCaml

SYNOPSIS

odoc COMMAND ...

COMMANDS

compile
    Compile a cmti, cmt, cmi or mld file to an odoc file.

compile-deps
    List units (with their digest) which needs to be compiled in order to compile this one. The unit itself and its digest is also reported in the output.

compile-targets
    TODO: Fill in.

css DEPRECATED: Use `odoc support-files' to copy the CSS file for the default theme.

html
    Generates an html file from an odoc one

html-deps
    lists the packages which need to be in odoc's load path to process html from the .odoc files in the given directory

html-fragment
    Generates an html fragment file from an mld one

html-targets
    TODO: Fill in.

support-files
    Copy the support files (e.g. default theme, JavaScript files) to the output directory.

support-files-targets
    Lists the names of the files that 'odoc support-files' outputs.

OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of `auto', `pager', `groff' or `plain'. With `auto', the format is `pager` or `plain' whenever the TERM env var is `dumb' or undefined.

--version
    Show version information.